Bug 798401 - Use of --debug-level parameter while running satellite-sync not functioning as expected.
Use of --debug-level parameter while running satellite-sync not functioning a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
541
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Mráka
Jiří Mikulka
:
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
 
Reported: 2012-02-28 14:24 EST by Patrick Tavares
Modified: 2014-10-06 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.7.38-3-sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Tavares 2012-02-28 14:24:55 EST
Description of problem:

When running satellite-sync, appending the '--debug-level=' parameter does not affect the verbosity of /var/log/rhn/rhn_server_satellite.log as expected.  However, if a 'debug=' line is added to /etc/rhn/rhn.conf, log verbosity is increased as expected.


Version-Release number of selected component (if applicable):
RHN Satellite Server 5.4.1

How reproducible:

Always reproducible.

Steps to Reproduce:
1.Run satellite-sync --debug-level=5 from one terminal window.  tail -f /var/log/rhn/rhn_server_satellite.log from another terminal window and observe no change in log verbosity.

2.Modify /etc/rhn/rhn.conf by adding a debug=5 line.  Save and re-run a satellite-sync (without --debug-level=5).  Notice that log verbosity has increased when tailing /var/log/rhn/rhn_server_satellite.log.

  
Actual results:
No change in log file verbosity.

Expected results:
Log file verbosity should change according to the --debug-level setting.

Additional info:
Comment 1 Miroslav Suchý 2012-03-09 07:32:36 EST
Fixed in spacewalk.git commit
Note that tools:
 * update-packages
 * spacewalk-update-signatures 
were affected too.
Comment 2 Miroslav Suchý 2012-03-09 08:12:30 EST
forgot to write down that commit number: a49a75331afb64425e23b044c2d6629893561584
Comment 6 Clifford Perry 2012-09-21 05:35:24 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.